-------------------------------------------------------------------
-------------------------------------------------------------------
-- Agricultural Revolution - Expanded (by Knasp) - Code for Units
-------------------------------------------------------------------
-------------------------------------------------------------------
--INSERT INTO tblAREDebug
--    (DebugID,         x_Open, x_Close,     Message)
--VALUES ('AREX_SaT_Code',    '1',    '0',        '') ;

--Steel and Thunder: Unit Expansion description from workshop 2019-11-30:

-----------------------------------------------------------------------------------------------
--	Updated for Gathering Storm expansion!
--	
--	This mod adds 11 new Global Units to Civilization 6 (8 with Gathering Storm). The new units are: Longswordsman, Trebuchet, Rifleman, Gatling Gun, Mortar, Self Propelled Artillery, Cog, Galleass, Cuirassier (pre-GS), Explorer (pre-GS), Courser (pre-GS).
--	
--	Here's how the additional Global Units fit into the upgrade paths:
--	
--	Melee:
--	... -> Swordsman -> Longswordsman* -> Musketman -> Rifleman* -> Infantry
--	
--	Heavy Cavalry:
--	... -> Knight -> Cuirassier* -> Tank
--	
--	Light Cavalry:
--	Horseman-> Courser* -> Cavalry
--	
--	Ranged (Regular):
--	... -> Field Cannon -> Mortar* -> Rocket Launcher
--	
--	Ranged (Automatic Guns, +8 combat bonus vs Melee, Anti Cavalry and Light Cavalry, exert Zone of Control):
--	Gatling Gun* -> Machine Gun
--	
--	Siege:
--	Catapult -> Trebuchet* -> Bombard -> Artillery -> Self Propelled Artillery*
--	
--	Recon:
--	Scout -> Explorer* -> Ranger
--	
--	Naval Melee:
--	Galley -> Cog* -> Caravel
--	
--	Naval Ranged:
--	Quadrireme -> Galleass* -> Frigate
--	
--	
--	Unique Unit Changes:
--	* Conquistador -> Rifleman (other religion combat bonus reduced by 1 to +9)
--	* Mamluk -> Cuirassier
--	* Legion -> Longswordsman
--	* Shield Bearer -> Longswordsman
--	* War Cart -> Knight
--	* War Cart replaces Heavy Chariot.
--	* Legion changed to 41 combat strength.
--	* Cost of Knight, Mamluk increased to 200.
--	* Samurai replaces Longswordsman.
--	* Khevsur now replaces Longswordsman.
--	* Pikeman strength increased to 45, cost decreased to 160.
--	* Okihtcitaw upgrades to Explorer.
--	* Hwacha upgrades to Mortar.
--	* Khmer Domrey replaces Trebuchet.
--	* Macedon Hypaspist and Persian Immortal upgrade to Longswordsman.
--	* Redcoat and Garde Imperiale replace Rifleman.
--	
--	
--	Other Changes:
--	* Anti Cavalry units now have +20 combat bonus vs Heavy Cavalry & +15 vs Light Cavalry
--	* Naturalist Base Sight Range set to 2.
--	* Heavy Cavalry get +6 Combat Strength vs when attacking pre-Gunpowder Melee units on non-District tiles.
--	* Light Cavalry and Heavy Cavalry now have a -6 Combat Strength penalty vs Districts.
---------------------------------------------------------------------------------------------------------------------


---------------------------------------------------------
---------------------------------------------------------
-- GLOBAL / OTHER CHANGES
---------------------------------------------------------
---------------------------------------------------------

----EMBARKED UNIT STRENGTH FOR ERAS:
--UPDATE Eras SET EmbarkedUnitStrength=15 	WHERE 	EraType= 'ERA_ANCIENT'; 		--was 10
--UPDATE Eras SET EmbarkedUnitStrength=25 	WHERE 	EraType= 'ERA_CLASSICAL'; 		--was 15
--UPDATE Eras SET EmbarkedUnitStrength=40 	WHERE 	EraType= 'ERA_MEDIEVAL'; 		--was 20, 30 in 2.7.3
--UPDATE Eras SET EmbarkedUnitStrength=45 	WHERE 	EraType= 'ERA_RENAISSANCE'; 	--was 30, 40 in 2.7.3
--UPDATE Eras SET EmbarkedUnitStrength=50 	WHERE 	EraType= 'ERA_INDUSTRIAL'; 		--was 35
--UPDATE Eras SET EmbarkedUnitStrength=55 	WHERE 	EraType= 'ERA_MODERN'; 			--was 50
--UPDATE Eras SET EmbarkedUnitStrength=60 	WHERE 	EraType= 'ERA_ATOMIC'; 			--was 55
--UPDATE Eras SET EmbarkedUnitStrength=65 	WHERE 	EraType= 'ERA_INFORMATION'; 	--was 55
--UPDATE Eras SET EmbarkedUnitStrength=70 	WHERE 	EraType= 'ERA_FUTURE'; 			--was 55


----------------------------	
----NEW MODERN ERA COMBAT BASE STRENGTH	
----------------------------	

UPDATE Units_XP2 SET ResourceCost = 40 	WHERE 	UnitType = 'UNIT_INFANTRY';	
UPDATE Units_XP2 SET ResourceCost = 40 	WHERE 	UnitType = 'UNIT_DIGGER' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_DIGGER');

UPDATE Units SET Combat = 72 		WHERE 	UnitType = 'UNIT_INFANTRY';							--was 70
UPDATE Units SET Combat = 74 		WHERE 	UnitType = 'UNIT_DIGGER' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_DIGGER');

UPDATE Units SET Bombard = 82   	WHERE 	UnitType = 'UNIT_ARTILLERY';	-- bombard -10 vs districts

UPDATE Units SET Bombard = 82   	WHERE 	UnitType = 'UNIT_BATTLESHIP';	-- bombard -10 vs districts
UPDATE Units SET Bombard = 88   	WHERE 	UnitType = 'UNIT_BRAZILIAN_MINAS_GERAES';	-- bombard -10 vs districts


----	
------------------------------	
------ATOMIC	
------------------------------	
UPDATE Units SET Combat = 86		WHERE 	UnitType = 'UNIT_TANK';									--was 85 in 2.8, 	gets -15 when defending vs siege or air
UPDATE Units SET Combat = 88 		WHERE 	UnitType = 'UNIT_HELICOPTER';							--was 87, 			gets -10 when defending vs air

------------------------------	
------INFORMATION	
------------------------------	
UPDATE Units SET Combat = 84 	WHERE 	UnitType = 'UNIT_MECHANIZED_INFANTRY';		--was 82 in 2.8 base


-- REMOVING SOME UNNECESSARY ABILITIES:

DELETE FROM TypeTags WHERE Type = 'ABILITY_AUTOMATIC_GUNFIRE';
DELETE FROM TypeTags WHERE Type = 'ABILITY_CITY_CENTER_NERF';
DELETE FROM TypeTags WHERE Type = 'ABILITY_PRE_GUNPOWDER_MELEE_ATTACK';
---------------------------------------------------------
---------------------------------------------------------
-- ANTI-CAVALRY
---------------------------------------------------------
---------------------------------------------------------

UPDATE Units SET Combat = 42, Cost = 160 	WHERE UnitType = 'UNIT_PIKEMAN'; --was 45 in S&T
UPDATE Units SET Combat = 42 				WHERE UnitType = 'UNIT_ZULU_IMPI'; --was 45 in S&T
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_MODERN_AT';
---------------------------------------------------------
---------------------------------------------------------
-- MELEE UNITS
---------------------------------------------------------
---------------------------------------------------------

UPDATE Units SET Combat = 40 WHERE UnitType = 'UNIT_ROMAN_LEGION'; --was 41 in S&T and 40 in vanilla


---------------------------------------------------
-- Longswordsman
---------------------------------------------------
UPDATE Units SET ZoneOfControl=0 	WHERE 	UnitType = 'UNIT_DLV_LONGSWORDSMAN';
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_DLV_LONGSWORDSMAN';
UPDATE Units SET PrereqTech = 'TECH_MILITARY_ENGINEERING' 	WHERE 	UnitType = 'UNIT_DLV_LONGSWORDSMAN';	
UPDATE Units_XP2 SET ResourceCost = 15 	WHERE 	UnitType = 'UNIT_DLV_LONGSWORDSMAN';	
UPDATE Units SET ObsoleteTech= 'TECH_RIFLING', MandatoryObsoleteTech = 'TECH_STEEL' 	WHERE 	UnitType= 'UNIT_DLV_LONGSWORDSMAN';

UPDATE Units SET PrereqTech = 'TECH_CASTLES' 	WHERE 	UnitType = 'UNIT_JAPANESE_SAMURAI';	
UPDATE Units SET PrereqTech = 'TECH_CASTLES' 	WHERE 	UnitType = 'UNIT_GEORGIAN_KHEVSURETI';	

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_LONGSWORDSMAN' , 	'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_LONGSWORDSMAN' , 	'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_LONGSWORDSMAN' , 	'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_LONGSWORDSMAN' , 	'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		SELECT 		  'UNIT_DLV_LONGSWORDSMAN', 	'BUILDING_BASILIKOI_PAIDES' WHERE EXISTS (SELECT 1 FROM Buildings WHERE BuildingType = 'BUILDING_BASILIKOI_PAIDES');

---------------------------------------------------
-- Rifleman
---------------------------------------------------
UPDATE Units SET PrereqTech = 'TECH_RIFLING' 	WHERE 	UnitType = 'UNIT_ENGLISH_REDCOAT';	
UPDATE Units SET PrereqTech = 'TECH_RIFLING' 	WHERE 	UnitType = 'UNIT_FRENCH_GARDE_IMPERIALE';	

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_DLV_RIFLEMAN';
UPDATE Units SET ZoneOfControl=0 	WHERE 	UnitType = 'UNIT_DLV_RIFLEMAN';
UPDATE Units SET StrategicResource='RESOURCE_IRON' 		WHERE 	UnitType='UNIT_DLV_RIFLEMAN';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost,ResourceMaintenanceType,ResourceMaintenanceAmount) VALUES ('UNIT_DLV_RIFLEMAN',30,'RESOURCE_NITER',1);		
INSERT INTO TypeTags 		([Type] , Tag) 			VALUES 			('UNIT_DLV_RIFLEMAN' , 	'CLASS_UNARMORED_MELEE');	-- Gets -4 when defending (to help cavalry and artillery etc)

UPDATE Units SET ObsoleteTech= 'TECH_COMBUSTION', MandatoryObsoleteTech = 'TECH_ADVANCED_BALLISTICS' 	WHERE 	UnitType= 'UNIT_DLV_RIFLEMAN';

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_RIFLEMAN' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_RIFLEMAN' , 				'BUILDING_MILITARY_CENTER' );

UPDATE UnitUpgrades SET UpgradeUnit = 'UNIT_DLV_RIFLEMAN' 	 WHERE Unit = 'UNIT_CROSSBOWMAN';

---------------------------------------------------------
---------------------------------------------------------
-- RANGED (Regular)
---------------------------------------------------------
---------------------------------------------------------

UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_NITER', ResourceMaintenanceAmount=2 WHERE 	UnitType='UNIT_MOBILE_SAM';

---------------------------------------------------
-- Mortar
---------------------------------------------------
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_DLV_MORTAR' AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_DLV_MORTAR' AND AiType = 'UNITAI_EXPLORE'; 
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_DLV_MORTAR','UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_DLV_MORTAR','UNITTYPE_SIEGE_SUPPORT');

INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_DLV_MORTAR',	'UNIT_DLV_MORTAR');	

UPDATE Units SET Maintenance = 10 	WHERE 	UnitType = 'UNIT_DLV_MORTAR';
UPDATE Units SET Cost = 300 	WHERE UnitType = 'UNIT_DLV_MORTAR';
UPDATE Units SET Combat=0,RangedCombat=0,Range=0, FormationClass='FORMATION_CLASS_SUPPORT' 		WHERE 	UnitType= 'UNIT_DLV_MORTAR';
UPDATE Units SET 	PromotionClass = 'PROMOTION_CLASS_SUPPORT' 	WHERE 	UnitType = 'UNIT_DLV_MORTAR';
																														
UPDATE Units_XP2 SET CanFormMilitaryFormation = 0 	WHERE 	UnitType= 'UNIT_DLV_MORTAR';
UPDATE Units_XP2 SET CanEarnExperience = 0 			WHERE 	UnitType= 'UNIT_DLV_MORTAR';

UPDATE Units SET StrategicResource='RESOURCE_IRON' 	WHERE 	UnitType='UNIT_DLV_MORTAR';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost,ResourceMaintenanceType,ResourceMaintenanceAmount) VALUES ('UNIT_DLV_MORTAR',40,'RESOURCE_NITER',1);															
															
DELETE FROM TypeTags WHERE Type = 'UNIT_DLV_MORTAR' AND Tag = 'CLASS_RANGED';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_DLV_MORTAR','CLASS_SUPPORT');

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_MORTAR',	'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_DLV_MORTAR',	'CLASS_MORTAR');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_DLV_MORTAR', 'CLASS_RANGED_SUPPORT'); -- +1 range for escorting unit

UPDATE Units SET PrereqTech = 'TECH_ADVANCED_BALLISTICS' 	WHERE 	UnitType = 'UNIT_DLV_MORTAR';	

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_MORTAR' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_MORTAR' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_MORTAR' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_MORTAR' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_MORTAR' , 				'BUILDING_MILITARY_CENTER' );

--Mortars grant +73 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MORTAR');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');


INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'Amount', 73);

INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MORTAR',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_MORTAR_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_MORTAR_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_MORTAR_GRANTS_RANGED_STRENGTH',	'CLASS_MORTAR');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_MORTAR_GRANTS_RANGED_STRENGTH', 0, 	'LOC_ABILITY_MORTAR_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_MORTAR_GRANTS_RANGED_STRENGTH',		'MODIFIER_MORTAR_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_MORTAR_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_MORTAR_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_MORTAR');

--City centers get increased ranged strike strength from having a Mortar

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_MORTAR_GRANTS_CITY_STRIKE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_MORTAR_GRANTS_CITY_STRIKE_BONUS',	'CLASS_MORTAR');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_MORTAR_GRANTS_CITY_STRIKE_BONUS', 	'LOC_ABILITY_MORTAR_GRANTS_CITY_STRIKE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_MORTAR_GRANTS_CITY_STRIKE_BONUS', 	'MORTAR_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		('MORTAR_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_UNIT_NEAREST_CITY_ATTACH_MODIFIER' , 'REQSET_CITY_CENTER_WITHIN_0_TILES');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('MORTAR_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'MORTAR_BOOSTS_RANGED_STRIKE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('MORTAR_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'REQSET_CIV_HAS_NITER_OWNED'); 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('MORTAR_BOOSTS_RANGED_STRIKE' , 	'Amount' , 17 );


---------------------------------------------------
-- Rocket Launcher - previously Rocket Artillery
---------------------------------------------------
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_ROCKET_ARTILLERY' AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_ROCKET_ARTILLERY' AND AiType = 'UNITTYPE_SIEGE';
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_ROCKET_ARTILLERY','UNITTYPE_SIEGE_SUPPORT');

INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_ROCKET_ARTILLERY',	'UNIT_ROCKET_ARTILLERY');	

UPDATE Units SET Maintenance = 12 	WHERE 	UnitType = 'UNIT_ROCKET_ARTILLERY';
UPDATE Units SET Cost = 400 	WHERE UnitType = 'UNIT_ROCKET_ARTILLERY';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost,ResourceMaintenanceType,ResourceMaintenanceAmount) VALUES ('UNIT_ROCKET_ARTILLERY',50,'RESOURCE_NITER',2);	

UPDATE Units SET Combat=0,RangedCombat=0,Range=0, FormationClass='FORMATION_CLASS_SUPPORT' 		WHERE 	UnitType= 'UNIT_ROCKET_ARTILLERY';
UPDATE Units SET 	PromotionClass = 'PROMOTION_CLASS_SUPPORT' 	WHERE 	UnitType = 'UNIT_ROCKET_ARTILLERY';
																														
UPDATE Units_XP2 SET CanFormMilitaryFormation = 0 	WHERE 	UnitType= 'UNIT_ROCKET_ARTILLERY';
UPDATE Units_XP2 SET CanEarnExperience = 0 			WHERE 	UnitType= 'UNIT_ROCKET_ARTILLERY';

DELETE FROM TypeTags WHERE Type = 'UNIT_ROCKET_ARTILLERY' AND Tag LIKE 'CLASS_%';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ROCKET_ARTILLERY',	'CLASS_ROCKET_ARTILLERY');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_ROCKET_ARTILLERY',	'CLASS_SUPPORT');

-- +2 range for escorting unit
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_EXTRA_RANGE',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_EXTRA_RANGE',	'CLASS_ROCKET_ARTILLERY');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_EXTRA_RANGE', 0);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_EXTRA_RANGE',		'MODIFIER_ROCKET_ARTILLERY_GIVES_EXTRA_RANGE');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ROCKET_ARTILLERY_GIVES_EXTRA_RANGE',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ROCKET_ARTILLERY_GIVES_EXTRA_RANGE',	'AbilityType', 'ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'CLASS_WARRIOR_MONK');

INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',		'MODIFIER_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY');

INSERT INTO Modifiers 				(ModifierId,ModifierType) 								VALUES 		('MODIFIER_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'MODIFIER_UNIT_ADJUST_ATTACK_RANGE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGE_FROM_ROCKET_ARTILLERY',	'Amount', 2);



--ROCKET ARTILLERY grants +86 ranged strength

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'CLASS_WARRIOR_MONK');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',		'MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',		'MODIFIER_RECEIVE_PENALTY_WITHOUT_NITER');


INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH'	,	'REQSET_RANGED_STRENGTH_FROM_RANGED_SUPPORT_UNIT');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'Amount', 85);

INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY',	'Preview',	'LOC_MODIFIER_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY_DESCRIPTION');
						
INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH',	'CLASS_ROCKET_ARTILLERY');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH', 0, 	'LOC_ABILITY_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH',		'MODIFIER_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_CLOSE_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_ROCKET_ARTILLERY_GRANTS_RANGED_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_RANGED_STRENGTH_FROM_ROCKET_ARTILLERY');

--City centers get increased ranged strike strength from having a ROCKET_ARTILLERY

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_CITY_STRIKE_BONUS',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_CITY_STRIKE_BONUS',	'CLASS_ROCKET_ARTILLERY');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_ROCKET_ARTILLERY_GRANTS_CITY_STRIKE_BONUS', 	'LOC_ABILITY_ROCKET_ARTILLERY_GRANTS_CITY_STRIKE_BONUS_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_ROCKET_ARTILLERY_GRANTS_CITY_STRIKE_BONUS', 	'ROCKET_ARTILLERY_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		('ROCKET_ARTILLERY_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_UNIT_NEAREST_CITY_ATTACH_MODIFIER' , 'REQSET_CITY_CENTER_WITHIN_0_TILES');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('ROCKET_ARTILLERY_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'ROCKET_ARTILLERY_BOOSTS_RANGED_STRIKE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('ROCKET_ARTILLERY_BOOSTS_RANGED_STRIKE' , 	'MODIFIER_SINGLE_CITY_ADJUST_RANGED_STRIKE' , 'REQSET_CIV_HAS_NITER_OWNED'); 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('ROCKET_ARTILLERY_BOOSTS_RANGED_STRIKE' , 	'Amount' , 23 );



---------------------------------------------------
-- Crouching Tiger, Hwacha, Field Cannon
---------------------------------------------------

DELETE FROM TypeTags WHERE Type = 'ABILITY_CROUCHING_TIGER_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH' 	AND Tag LIKE 'CLASS_%';
DELETE FROM TypeTags WHERE Type = 'ABILITY_KOREAN_HWACHA_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH' 	AND Tag LIKE 'CLASS_%';
DELETE FROM TypeTags WHERE Type = 'ABILITY_FIELD_CANNON_GRANTS_ANTI_PRE_MODERN_MELEE_STRENGTH' 		AND Tag LIKE 'CLASS_%';




---------------------------------------------------------
---------------------------------------------------------
-- RANGED (Automatic Guns, +8 combat bonus vs Melee, Anti Cavalry and Light Cavalry, exert Zone of Control)
---------------------------------------------------------
---------------------------------------------------------

---------------------------------------------------
-- Gatling Gun
---------------------------------------------------
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_DLV_GATLING_GUN' AND AiType = 'UNITAI_COMBAT'; 
DELETE FROM UnitAiInfos WHERE UnitType = 'UNIT_DLV_GATLING_GUN' AND AiType = 'UNITAI_EXPLORE'; 
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_DLV_GATLING_GUN','UNITTYPE_SIEGE_ALL');
INSERT INTO UnitAiInfos	(UnitType,AiType)	VALUES	('UNIT_DLV_GATLING_GUN','UNITTYPE_SIEGE_SUPPORT');

UPDATE Units SET PrereqTech = 'TECH_RIFLING' 	WHERE 	UnitType = 'UNIT_DLV_GATLING_GUN';	

UPDATE Units SET Combat=0,RangedCombat=0,Range=0, FormationClass='FORMATION_CLASS_SUPPORT' 		WHERE 	UnitType= 'UNIT_DLV_GATLING_GUN';
UPDATE Units SET 	PromotionClass = 'PROMOTION_CLASS_SUPPORT' 	WHERE 	UnitType = 'UNIT_DLV_GATLING_GUN';
							
UPDATE Units_XP2 SET CanFormMilitaryFormation = 0 	WHERE 	UnitType= 'UNIT_DLV_GATLING_GUN';
UPDATE Units_XP2 SET CanEarnExperience = 0 			WHERE 	UnitType= 'UNIT_DLV_GATLING_GUN';

UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_DLV_GATLING_GUN';
UPDATE Units SET ZoneOfControl = 1 	WHERE 	UnitType = 'UNIT_DLV_GATLING_GUN';

UPDATE Units SET StrategicResource='RESOURCE_IRON' 	WHERE 	UnitType='UNIT_DLV_GATLING_GUN';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost) VALUES ('UNIT_DLV_GATLING_GUN',30);

UPDATE Units SET ObsoleteTech= 'TECH_COMBUSTION', MandatoryObsoleteTech = 'TECH_GUIDANCE_SYSTEMS' 	WHERE 	UnitType= 'UNIT_DLV_GATLING_GUN';

DELETE FROM TypeTags WHERE Type = 'UNIT_DLV_GATLING_GUN' AND Tag = 'CLASS_RANGED';
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_DLV_GATLING_GUN',			'CLASS_SUPPORT');

INSERT INTO Tags 					(Tag,Vocabulary) 									VALUES 		('CLASS_GATLING_GUN',		'ABILITY_CLASS');
INSERT INTO TypeTags				([Type],Tag) 										VALUES 		('UNIT_DLV_GATLING_GUN',	'CLASS_GATLING_GUN');

INSERT INTO UnitCaptures (BecomesUnitType,CapturedUnitType) VALUES ('UNIT_DLV_GATLING_GUN',	'UNIT_DLV_GATLING_GUN');	

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GATLING_GUN' , 				'BUILDING_MILITARY_ACADEMY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GATLING_GUN' , 				'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GATLING_GUN' , 				'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GATLING_GUN' , 				'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GATLING_GUN' , 				'BUILDING_MILITARY_CENTER' );
--Gatling Gun grants +8 strength when attacking or defending vs rifleman or earlier melee class and anti-cavalry units in melee combat

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_MELEE');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_WARRIOR_MONK');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_RANGED');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_RANGED_CAVALRY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_LIGHT_CHARIOT');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',	'CLASS_SIEGE');


INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive) 								VALUES		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN', 1);
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN',		'MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_GATLING_GUN');

INSERT INTO Modifiers 				(ModifierId,ModifierType,OwnerRequirementSetId, SubjectRequirementSetId) 		VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_GATLING_GUN',	'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH','REQSET_CIV_HAS_NITER_OWNED','REQSET_OPPONENT_IS_PRE_MODERN_IN_MELEE');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_GATLING_GUN',	'Amount', 6);
INSERT INTO ModifierStrings			(ModifierId,Context,Text)								VALUES		('MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_GATLING_GUN',	'Preview',	'LOC_MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_GATLING_GUN_DESCRIPTION');

INSERT INTO Types 					([Type],Kind) 											VALUES		('ABILITY_GATLING_GUN_GRANTS_MELEE_STRENGTH',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('ABILITY_GATLING_GUN_GRANTS_MELEE_STRENGTH',	'CLASS_GATLING_GUN');
						
INSERT INTO UnitAbilities 			(UnitAbilityType,Inactive,Description) 					VALUES		('ABILITY_GATLING_GUN_GRANTS_MELEE_STRENGTH', 0, 	'LOC_ABILITY_GATLING_GUN_GRANTS_MELEE_STRENGTH_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 							VALUES 		('ABILITY_GATLING_GUN_GRANTS_MELEE_STRENGTH',		'MODIFIER_GATLING_GUN_GRANTS_MELEE_STRENGTH_ABILITY');

INSERT INTO Modifiers 				(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('MODIFIER_GATLING_GUN_GRANTS_MELEE_STRENGTH_ABILITY',	'MODIFIER_PLAYER_UNITS_GRANT_ABILITY' , 'REQSET_LAND_COMBAT_UNIT_NEARBY');
INSERT INTO ModifierArguments 		(ModifierId,Name,[Value]) 								VALUES 		('MODIFIER_GATLING_GUN_GRANTS_MELEE_STRENGTH_ABILITY',	'AbilityType', 'ABILITY_RECEIVE_MELEE_STRENGTH_FROM_GATLING_GUN');

--Gatling guns give +3 CS for inner defense instead of ranged strike bonus:

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_GATLING_GUN_GRANTS_INNER_DEFENSE',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_GATLING_GUN_GRANTS_INNER_DEFENSE',	'CLASS_GATLING_GUN');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_GATLING_GUN_GRANTS_INNER_DEFENSE', 	'LOC_ABILITY_GATLING_GUN_GRANTS_INNER_DEFENSE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_GATLING_GUN_GRANTS_INNER_DEFENSE', 	'GATLING_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER');

INSERT INTO Modifiers 			(ModifierId , ModifierType , OwnerRequirementSetId) VALUES 		('GATLING_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'MODIFIER_UNIT_NEAREST_CITY_ATTACH_MODIFIER' , 'REQSET_CITY_CENTER_WITHIN_0_TILES');
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('GATLING_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER' , 	'ModifierId' , 'GATLING_GUN_BOOSTS_INNER_DEFENSE');

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('GATLING_GUN_BOOSTS_INNER_DEFENSE' , 	'MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE' , 'REQSET_CIV_HAS_NITER_OWNED'); --  , 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('GATLING_GUN_BOOSTS_INNER_DEFENSE' , 	'Amount' , 3 );

---------------------------------------------------
-- Machine Gun
---------------------------------------------------

DELETE FROM TypeTags WHERE Type = 'ABILITY_MACHINE_GUN_GRANTS_RANGED_STRENGTH' AND Tag LIKE 'CLASS_%';								--edit unit desc
DELETE FROM TypeTags WHERE Type = 'UNIT_MACHINE_GUN' AND Tag = 'CLASS_RANGED_SUPPORT';												--edit unit desc

UPDATE Units_XP2 SET ResourceCost = 40 	WHERE 	UnitType = 'UNIT_MACHINE_GUN';	

--Increased combat strength from +4 to +6 vs infantry. And from +8 to +10 vs pre-modern units

UPDATE ModifierArguments SET Value = 6 	WHERE ModifierId = 'MODIFIER_RECEIVE_MELEE_STRENGTH_VS_MODERN_FROM_MACHINE_GUN';			--edit unit desc
UPDATE ModifierArguments SET Value = 10 WHERE ModifierId = 'MODIFIER_RECEIVE_MELEE_STRENGTH_VS_PRE_MODERN_FROM_MACHINE_GUN';		--edit unit desc

--Machine guns give +6 CS for inner defense instead of ranged strike bonus:
DELETE FROM TypeTags WHERE Type = 'ABILITY_MACHINE_GUN_GRANTS_CITY_STRIKE_BONUS' AND Tag = 'CLASS_MACHINE_GUN';						--edit unit desc

INSERT INTO Types 					([Type],Kind) 									VALUES		('ABILITY_MACHINE_GUN_GRANTS_INNER_DEFENSE',	'KIND_ABILITY');
INSERT INTO TypeTags 				([Type] , Tag) 									VALUES 		('ABILITY_MACHINE_GUN_GRANTS_INNER_DEFENSE',	'CLASS_MACHINE_GUN');

INSERT INTO UnitAbilities 			(UnitAbilityType,Description) 					VALUES		('ABILITY_MACHINE_GUN_GRANTS_INNER_DEFENSE', 	'LOC_ABILITY_MACHINE_GUN_GRANTS_INNER_DEFENSE_DESCRIPTION');
INSERT INTO UnitAbilityModifiers	(UnitAbilityType,ModifierId) 					VALUES 		('ABILITY_MACHINE_GUN_GRANTS_INNER_DEFENSE', 	'MACHINE_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER');

UPDATE ModifierArguments SET Value = 'MACHINE_GUN_BOOSTS_INNER_DEFENSE' WHERE ModifierId = 'MACHINE_GUN_ATTACHES_MODIFIER_TO_CITY_CENTER' AND Name = 'ModifierId';

INSERT INTO Modifiers 			(ModifierId , ModifierType, OwnerRequirementSetId) 	VALUES 		('MACHINE_GUN_BOOSTS_INNER_DEFENSE' , 	'MODIFIER_PLAYER_CITIES_ADJUST_INNER_DEFENSE' , 'REQSET_CIV_HAS_NITER_OWNED'); --  , 
INSERT INTO ModifierArguments 	(ModifierId , Name , [Value]) 						VALUES 		('MACHINE_GUN_BOOSTS_INNER_DEFENSE' , 	'Amount' , 6 );

---------------------------------------------------------
---------------------------------------------------------
-- SIEGE 
---------------------------------------------------------
---------------------------------------------------------


---------------------------------------------------
-- Catapult (Classical)
---------------------------------------------------
UPDATE Units SET PrereqTech = 'TECH_CONSTRUCTION' 	WHERE 	UnitType = 'UNIT_CATAPULT';		

---------------------------------------------------
-- Trebuchet (Medieval)
---------------------------------------------------
UPDATE Units SET Maintenance = 8 	WHERE 	UnitType = 'UNIT_DLV_TREBUCHET';
UPDATE Units SET BaseMoves = 1 	WHERE 	UnitType = 'UNIT_DLV_TREBUCHET';	
UPDATE Units SET PrereqTech = 'TECH_CASTLES' 	WHERE 	UnitType = 'UNIT_DLV_TREBUCHET';	
UPDATE Units SET ObsoleteTech= 'TECH_BALLISTICS', MandatoryObsoleteTech = 'TECH_RIFLING' 	WHERE 	UnitType= 'UNIT_DLV_TREBUCHET';

UPDATE Units SET StrategicResource='RESOURCE_IRON' 	WHERE 	UnitType='UNIT_DLV_TREBUCHET';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost) VALUES ('UNIT_DLV_TREBUCHET',20);

DELETE FROM TypeTags WHERE Type = 'UNIT_DLV_TREBUCHET' AND Tag = 'CLASS_FORWARD_OBSERVER';

INSERT INTO Tags (Tag,Vocabulary) 		VALUES 		('CLASS_TREBUCHET',		'ABILITY_CLASS');
INSERT INTO TypeTags ([Type],Tag) 		VALUES 		('UNIT_DLV_TREBUCHET',	'CLASS_TREBUCHET');

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_TREBUCHET' , 	'BUILDING_BARRACKS' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_TREBUCHET' , 	'BUILDING_STABLE' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_TREBUCHET' , 	'BUILDING_ORDU' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_TREBUCHET' , 	'BUILDING_WORKSHOP' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		SELECT 		  'UNIT_DLV_TREBUCHET', 	'BUILDING_BASILIKOI_PAIDES' WHERE EXISTS (SELECT 1 FROM Buildings WHERE BuildingType = 'BUILDING_BASILIKOI_PAIDES');

--Capture Trebuchet 

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_RECON');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CLASS_WARRIOR_MONK');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_TREBUCHET', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_TREBUCHET',		'CAPTURE_DEFEATED_TREBUCHET');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_TREBUCHET',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_TREBUCHET'); --,	'REQSET_OPPONENT_IS_TREBUCHET' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_TREBUCHET',				'CanCapture',	1	);


INSERT OR REPLACE INTO RequirementSets				(RequirementSetId,RequirementSetType)	VALUES		('REQSET_OPPONENT_IS_TREBUCHET',	'REQUIREMENTSET_TEST_ANY');
INSERT OR REPLACE INTO RequirementSetRequirements	(RequirementSetId,RequirementId)		VALUES		('REQSET_OPPONENT_IS_TREBUCHET',	'REQ_OPPONENT_IS_TREBUCHET');

INSERT INTO 	Requirements				(RequirementId , RequirementType) 				VALUES		('REQ_OPPONENT_IS_TREBUCHET' , 		'REQUIREMENT_OPPONENT_UNIT_TAG_MATCHES');			
INSERT INTO 	RequirementArguments		(RequirementId , Name, [Value]) 				VALUES		('REQ_OPPONENT_IS_TREBUCHET' , 		'Tag' , 'CLASS_TREBUCHET');

---------------------------------------------------
-- Artillery
---------------------------------------------------
UPDATE Units SET Combat = 64 WHERE UnitType = 'UNIT_ARTILLERY';

---------------------------------------------------
-- Self Propelled Artillery
---------------------------------------------------

UPDATE Units SET PrereqTech = 'TECH_COMPUTERS' 	WHERE 	UnitType = 'UNIT_DLV_SELF_PROPELLED_ARTILLERY';

--German PzH 2000 has an operational range of 420 km, speed 67 km/h on-road and 45 km/h offroad.
-- Modern Armor has 6 moves, +1 on flat terrain. 415/335 km operational range, 70km/h on-road, 48 km/h offroad.
UPDATE Units SET BaseSightRange=1 	WHERE 	UnitType= 'UNIT_DLV_SELF_PROPELLED_ARTILLERY';
UPDATE Units SET Maintenance = 18 	WHERE 	UnitType = 'UNIT_DLV_SELF_PROPELLED_ARTILLERY';
UPDATE Units SET Combat = 74 	WHERE 	UnitType= 'UNIT_DLV_SELF_PROPELLED_ARTILLERY';
UPDATE Units SET BaseMoves=6 	WHERE 	UnitType= 'UNIT_DLV_SELF_PROPELLED_ARTILLERY';

INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_SELF_PROPELLED_ARTILLERY' , 	'BUILDING_GOV_MILITARY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_SELF_PROPELLED_ARTILLERY' , 	'BUILDING_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_SELF_PROPELLED_ARTILLERY' , 	'BUILDING_ELECTRONICS_FACTORY' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_SELF_PROPELLED_ARTILLERY' , 	'BUILDING_MILITARY_CENTER' );


INSERT INTO Tags 					(Tag,Vocabulary) 		VALUES 		('CLASS_SELF_PROPELLED_ARTILLERY',		'ABILITY_CLASS');
INSERT INTO TypeTags				([Type],Tag) 			VALUES 		('UNIT_DLV_SELF_PROPELLED_ARTILLERY',	'CLASS_SELF_PROPELLED_ARTILLERY');

UPDATE TypeTags SET Tag = 'CLASS_SELF_PROPELLED_ARTILLERY' WHERE Type = 'ABILITY_SIEGE_DEFENSE_VS_CITY_STRIKES' AND Tag = 'CLASS_ROCKET_ARTILLERY';

INSERT INTO TypeTags ([Type],Tag) 	VALUES 	('ABILITY_MODERN_ARMOR_NEEDS_OIL','CLASS_SELF_PROPELLED_ARTILLERY'); -- gets -5 moves with oil deficit

UPDATE Units SET StrategicResource='RESOURCE_IRON' 	WHERE 	UnitType='UNIT_DLV_SELF_PROPELLED_ARTILLERY';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost) VALUES ('UNIT_DLV_SELF_PROPELLED_ARTILLERY',70);	
UPDATE Units_XP2 SET ResourceMaintenanceType='RESOURCE_OIL', ResourceMaintenanceAmount=1 WHERE 	UnitType='UNIT_DLV_SELF_PROPELLED_ARTILLERY';

UPDATE RequirementArguments SET Value='CLASS_SELF_PROPELLED_ARTILLERY' 	WHERE 	RequirementId='REQ_OPPONENT_IS_ROCKET_ARTILLERY';

--Used to exclude supply convoy bonus:
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_DLV_SELF_PROPELLED_ARTILLERY',			'CLASS_VEHICLE');

-- CLASS_ARMORED_VEHICLES (used to determine if MODERN AT support abilities apply)
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_DLV_SELF_PROPELLED_ARTILLERY',			'CLASS_ARMORED_VEHICLES');

-- CLASS_LIGHT_ARMORED_VEHICLES (used to determine if AT CREW support abilities apply)
INSERT INTO TypeTags 					([Type],Tag) 										VALUES 		('UNIT_DLV_SELF_PROPELLED_ARTILLERY',			'CLASS_HEAVY_ARMORED_VEHICLES');


--Capture SELF_PROPELLED_ARTILLERY 

INSERT INTO Types 		([Type],Kind) 											VALUES		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'KIND_ABILITY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_MELEE');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_RECON');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_ANTI_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_LIGHT_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_HEAVY_CAVALRY');
INSERT INTO TypeTags 	([Type] , Tag) 											VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CLASS_WARRIOR_MONK');
		
INSERT INTO UnitAbilities 		(UnitAbilityType,Inactive) 						VALUES		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY', 0);
INSERT INTO UnitAbilityModifiers		(UnitAbilityType,ModifierId) 			VALUES 		('ABILITY_CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',		'CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY');
		
INSERT INTO Modifiers 	(ModifierId,ModifierType,SubjectRequirementSetId) 		VALUES 		('CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',				'MODIFIER_UNIT_ADJUST_COMBAT_CAPTURE', 'REQSET_OPPONENT_IS_SELF_PROPELLED_ARTILLERY'); --,	'REQSET_OPPONENT_IS_SELF_PROPELLED_ARTILLERY' 
INSERT INTO ModifierArguments 			(ModifierId,Name,[Value]) 				VALUES 		('CAPTURE_DEFEATED_SELF_PROPELLED_ARTILLERY',				'CanCapture',	1	);


INSERT OR REPLACE INTO RequirementSets				(RequirementSetId,RequirementSetType)	VALUES		('REQSET_OPPONENT_IS_SELF_PROPELLED_ARTILLERY',	'REQUIREMENTSET_TEST_ANY');
INSERT OR REPLACE INTO RequirementSetRequirements	(RequirementSetId,RequirementId)		VALUES		('REQSET_OPPONENT_IS_SELF_PROPELLED_ARTILLERY',	'REQ_OPPONENT_IS_SELF_PROPELLED_ARTILLERY');

INSERT INTO 	Requirements				(RequirementId , RequirementType) 				VALUES		('REQ_OPPONENT_IS_SELF_PROPELLED_ARTILLERY' , 		'REQUIREMENT_OPPONENT_UNIT_TAG_MATCHES');			
INSERT INTO 	RequirementArguments		(RequirementId , Name, [Value]) 				VALUES		('REQ_OPPONENT_IS_SELF_PROPELLED_ARTILLERY' , 		'Tag' , 'CLASS_SELF_PROPELLED_ARTILLERY');

---------------------------------------------------------
---------------------------------------------------------
-- NAVAL MELEE
---------------------------------------------------------
---------------------------------------------------------

---------------------------------------------------
-- Cog (Medieval Era)
---------------------------------------------------
UPDATE Units SET Maintenance = 6 	WHERE 	UnitType = 'UNIT_DLV_COG';
UPDATE Units SET BaseMoves=6 		WHERE 	UnitType = 'UNIT_DLV_COG';
UPDATE Units SET BaseSightRange=1 	WHERE 	UnitType = 'UNIT_DLV_COG';
UPDATE Units SET ZoneOfControl=1 	WHERE 	UnitType = 'UNIT_DLV_COG';
UPDATE Units SET PrereqTech = NULL, PrereqCivic= 'CIVIC_NAVAL_TRADITION' 	WHERE 	UnitType = 'UNIT_DLV_COG';	
INSERT INTO CivicPrereqs 	(Civic , PrereqCivic) 	VALUES 	('CIVIC_NAVAL_TRADITION' , 'CIVIC_MILITARY_TRAINING');
UPDATE Units SET StrategicResource='RESOURCE_IRON' 	WHERE 	UnitType='UNIT_DLV_COG';
INSERT OR REPLACE INTO Units_XP2 (UnitType,ResourceCost) VALUES ('UNIT_DLV_COG',10);
UPDATE Units SET Combat = 40 WHERE UnitType = 'UNIT_DLV_COG';
UPDATE Units SET ObsoleteTech= 'TECH_STEAM_POWER', MandatoryObsoleteTech = 'TECH_STEEL' 	WHERE 	UnitType= 'UNIT_DLV_COG';

--INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_COG' , 	'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_COG' , 	'BUILDING_LIGHTHOUSE' );


INSERT INTO Tags 					(Tag , Vocabulary) 										VALUES 		('CLASS_COG' , 				'ABILITY_CLASS');
INSERT INTO TypeTags 				([Type] , Tag) 											VALUES 		('UNIT_DLV_COG' , 			'CLASS_COG');


--Gets +4 moves on Ocean:
INSERT INTO Types ([Type],Kind) 										VALUES ('ABILITY_COG_BONUS_MOVES_ON_OCEAN','KIND_ABILITY');
INSERT INTO TypeTags ([Type],Tag) 										VALUES ('ABILITY_COG_BONUS_MOVES_ON_OCEAN','CLASS_COG');

INSERT INTO UnitAbilities (UnitAbilityType,Name,Description) 			VALUES ('ABILITY_COG_BONUS_MOVES_ON_OCEAN','LOC_ABILITY_COG_BONUS_MOVES_ON_OCEAN_NAME','LOC_ABILITY_COG_BONUS_MOVES_ON_OCEAN_DESCRIPTION');
INSERT INTO UnitAbilityModifiers (UnitAbilityType,ModifierId) 			VALUES ('ABILITY_COG_BONUS_MOVES_ON_OCEAN','COG_BONUS_MOVES_ON_OCEAN');

INSERT INTO Modifiers (ModifierId,ModifierType,SubjectRequirementSetId) 	VALUES ('COG_BONUS_MOVES_ON_OCEAN','MODIFIER_PLAYER_UNIT_ADJUST_MOVEMENT','REQSET_PLOT_IS_OCEAN_AREX');
INSERT INTO ModifierArguments (ModifierId,Name,[Value]) 					VALUES ('COG_BONUS_MOVES_ON_OCEAN','Amount',4); --moves 6 + 4 = 10 meaning can move max 2 ocean tiles per turn.


---------------------------------------------------------
---------------------------------------------------------
-- NAVAL RANGED
---------------------------------------------------------
---------------------------------------------------------

---------------------------------------------------
-- Galleass (Renaissance Era)
---------------------------------------------------
UPDATE Units SET Maintenance = 8 					WHERE 	UnitType = 'UNIT_DLV_GALLEASS';
UPDATE Units SET BaseMoves = 8 						WHERE 	UnitType = 'UNIT_DLV_GALLEASS';
UPDATE Units SET ZoneOfControl = 1 					WHERE 	UnitType = 'UNIT_DLV_GALLEASS';
UPDATE Units SET PrereqTech = 'TECH_CARTOGRAPHY' 	WHERE 	UnitType = 'UNIT_DLV_GALLEASS';	
UPDATE Units SET StrategicResource ='RESOURCE_IRON' WHERE 	UnitType = 'UNIT_DLV_GALLEASS';
UPDATE Units_XP2 SET ResourceCost = 15 				WHERE 	UnitType = 'UNIT_DLV_GALLEASS';	
UPDATE Units SET Combat = 42 						WHERE 	UnitType = 'UNIT_DLV_GALLEASS';
UPDATE Units SET RangedCombat = 45 					WHERE 	UnitType = 'UNIT_DLV_GALLEASS';

UPDATE Units SET ObsoleteTech= 'TECH_COMBUSTION', MandatoryObsoleteTech = 'TECH_COMBINED_ARMS' 	WHERE 	UnitType= 'UNIT_DLV_GALLEASS';

--INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GALLEASS' , 	'BUILDING_MILITARY_CENTER' );
INSERT INTO Unit_BuildingPrereqs 	(Unit , PrereqBuilding) 		VALUES 		( 'UNIT_DLV_GALLEASS' , 	'BUILDING_LIGHTHOUSE' );

INSERT INTO 	TypeTags 		([Type] , Tag) 		VALUES 		('UNIT_DLV_GALLEASS' , 'CLASS_NAVAL_RANGED_NO_RAIDERS');

-- Jong replaces Galleass now:
UPDATE UnitReplaces SET ReplacesUnitType= 'UNIT_DLV_GALLEASS' WHERE 	CivUniqueUnitType= 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');

UPDATE Units SET Maintenance = 8 					WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units SET BaseMoves = 8 						WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units SET ZoneOfControl = 1 					WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units SET StrategicResource ='RESOURCE_IRON' WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units_XP2 SET ResourceCost = 15 				WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');	
UPDATE Units SET Combat = 44 						WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units SET RangedCombat = 55 					WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');
UPDATE Units SET Cost = 220 						WHERE 	UnitType = 'UNIT_INDONESIAN_JONG' AND EXISTS (SELECT 1 FROM Units WHERE UnitType = 'UNIT_INDONESIAN_JONG');



-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------

--UPDATE tblAREDebug SET x_Close='1' WHERE DebugID='AREX_SaT_Code';